\version "2.21.0"

transpInstr = bes,     % default set to c in -common.ily

\include "include-once.ily"
\includeOnce "berg-conc-vln-1.ily"
\includeOnce "berg-conc-vln-2.ily"

% \includeOnce "berg-conc-vln-title.ily"
\includeOnce "berg-conc-vln-paged-title.ily"

\markup{Baßklarinette in B klingt eine None tiefer als notiert.}

\header {
    instrument = "Baßklarinette in B"
}

\paper {
    page-count = # 9    % finalize
    ragged-last-bottom = ##f
}


breaksI = <<
\mvtItimeline
{
    % \time 4/4
    s1*10 |
    \barNumberCheck # 11
    % \time 2/4
    s2*91 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    s2.*33 |
    \barNumberCheck # 137
    \pageTurn
    s2.*39 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    s4.*82 |
    \barNumberCheck # 258
}
>>


cuesI = <<
\mvtItimeline
\relative c'' {
    \transposition \transpInstr
    % \time 4/4
    s1*10 |
    \barNumberCheck # 11
    % \time 2/4
    s2*27 |
    \barNumberCheck # 38
    #(ly:expect-warning "unterminated slur")
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIclrI #DOWN { s2*3 | }
    \barNumberCheck # 41
    s2*13 |
    \barNumberCheck # 54
    #(ly:expect-warning "unterminated slur")
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIclrI #DOWN { s2*3 | }
    \cueDuring mvtIclrI #UP { s2*1 | s4. } s8 |
    \barNumberCheck # 59
    s2*35 |
    \barNumberCheck # 94
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIclrI #DOWN { s2*2 | }
    \barNumberCheck # 96
    s2*6 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIclrI #DOWN { s2. | }
    \barNumberCheck # 105
    s2.*8 |
    \barNumberCheck # 113
    <>-\offset X-offset #-1.5 ^\markup{2.Klarinette}
    \cueDuring mvtIclrII #DOWN { s2.*2 | }
    \barNumberCheck # 115
    s2.*22 |
    \barNumberCheck # 137
    #(ly:expect-warning "cannot end slur")
    <>-\offset X-offset #-1.5 ^\markup\normalsize{1.2.Fagott}
    <<
        \new Voice { \voiceTwo \teeny \quoteDuring mvtIfgII { \ottava #-1 s2.*3 | s4. \ottava #0 } }
        \new Voice { \voiceOne \teeny \quoteDuring mvtIfgI { s2.*2 | } }
        {
            \voiceOne s2.*3 |
            \temporary \override MultiMeasureRest.staff-position = #4
            s2. \oneVoice |
            \revert MultiMeasureRest.staff-position
        }
    >>
    \barNumberCheck # 141
    s2.*21 |
    \barNumberCheck # 162
    \at 2 -\offset X-offset #-1.5 ^\markup{Sax.}
    \cueDuring mvtIasax #UP { s2.*2 | }
    \cueDuring mvtIasax #DOWN { s2.*2 | }
    \barNumberCheck # 166
    s2. |
    \barNumberCheck # 167
    <>-\offset X-offset #-1.5 ^\markup{Baßtuba}
    \cueDuring mvtItuba #UP { \ottava -1 s2.*3 | \ottava 0 }
    \barNumberCheck # 170
    s2.*6 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    s4.*12 |
    \barNumberCheck # 188
    \at 2 -\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIhrnI #DOWN { s4.*5 | }
    \barNumberCheck # 193
    s4.*12 |
    \barNumberCheck # 205
    #(ly:expect-warning "unterminated slur")
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIclrI #UP { s4.*3 | }
    \barNumberCheck # 208
    s4.*14 |
    \barNumberCheck # 222
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIclrI #DOWN { s4.*4 | }
    \barNumberCheck # 226
    s4.*19 |
    \barNumberCheck # 245
    #(ly:expect-warning "unterminated tie")
    \at 8. -\offset X-offset #-1.5 ^\markup{1.2.Klarinette}
    \cueDuring mvtIclrI #DOWN { s4.*9 | s8 } s4 |
    \barNumberCheck # 255
    s4.*3 |
    \barNumberCheck # 258
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIbclr ) <<
        \new Dynamics \breaksI

        \new MarkLine \mvtItempi

        \new Staff = mvtIbclr \with {
        } \context Bottom <<
            \transpose \transpInstr c' \mvtIbclr
            \cuesI
        >>

        \new Dynamics = mvtIfootnotes \mvtIfootnotes
    >>

    \header {
        piece = \mvtIpiece
    }
}


breaksII = <<
\mvtIItimeline
{
    \barNumberCheck # 1
    % \time 3/4
    s2.*22 |
    \grace s16
    s2.*40 |
    \barNumberCheck # 63
    % \time 4/4
    s1*15 |
    \barNumberCheck # 78
    % \time 3/4
    s2.*18 |
    \barNumberCheck # 96
    s2.*13 |
    \barNumberCheck # 109
    \pageTurn
    s2.*27 |
    \barNumberCheck # 136
    % \time 4/4
    s1*22 |
    \barNumberCheck # 158
    s1*29 |
    \barNumberCheck # 187
    \noBreak
    s1*14 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 214
    % \time 4/4
    s1*17 |
    \barNumberCheck # 231
}
>>


cuesII = <<
\mvtIItimeline
\relative c' {
    \transposition \transpInstr
    \barNumberCheck # 1
    % \time 3/4
    s2.*12 |
    \barNumberCheck # 13
    \at 8 -\offset X-offset #-1.5 ^\markup{1.3.Horn}
    \cueDuring mvtIIhrnI #DOWN { s2. | }
    \barNumberCheck # 14
    s2.*6 |
    \barNumberCheck # 20
    \at 4 -\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIIhrnI #UP { s2.*2 | }
    \barNumberCheck # 22
    s2.*22 |
    \barNumberCheck # 44
    #(ly:expect-warning "unterminated slur")
    #(ly:expect-warning "unterminated tie")
    \at 4 -\offset X-offset #-1.5 ^\markup{1.Flöte}
    \cueDuring mvtIIflI #UP { \ottava 1 s2.*8 | \ottava 0 }
    \barNumberCheck # 52
    s2.*11 |
    \barNumberCheck # 63
    % \time 4/4
    s1 |
    \barNumberCheck # 64
    \temporary \override MultiMeasureRest.staff-position = #4
    \at 4.. -\offset X-offset #-1.5 ^\markup\line{Violoncello (get.)}
    \cueDuring mvtIIvc #DOWN { s4.. \ottava -1 s8. s4. | s1 | s4. \ottava 0 } s8 s2 |
    \barNumberCheck # 67
    \revert MultiMeasureRest.staff-position
    s1*6 |
    \barNumberCheck # 73
    \at 16 -\offset X-offset #-1.5 ^\markup{Bratsche}
    \cueDuring mvtIIvla #DOWN { s1*5 | }
    \barNumberCheck # 78
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 91
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIIclrI #UP { s2.*5 | }
    \barNumberCheck # 96
    s2.*40 |
    \barNumberCheck # 136
    % \time 4/4
    #(ly:expect-warning "cannot end slur")
    \at 8 -\offset X-offset #-1.5 ^\markup{Kontrafagott}
    \at 2.. ^\markup\halign #-1.0 {1.Fagott}
    \cueDuring mvtIIcfg #DOWN { \ottava #-1 s1 | }
    \temporary \override MultiMeasureRest.staff-position = #4
    #(ly:expect-warning "cannot end slur")
    #(ly:expect-warning "unterminated slur")
    \cueDuring mvtIIfgI #DOWN { s1*5 | \ottava #0 }
    \barNumberCheck # 142
    \revert MultiMeasureRest.staff-position
    s1*16 |
    \barNumberCheck # 158
    \at 4 -\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIIhrnI #UP { s1*6 | }
    \barNumberCheck # 164
    s1*33 |
    \barNumberCheck # 197
    \at 4 -\offset X-offset #-1.5 ^\markup{1.Posaune}
    \cueDuring mvtIItromI #DOWN { s1*3 | }
    \barNumberCheck # 200
    s1 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 214
    % \time 4/4
    s1*11 |
    \barNumberCheck # 225
    \at 2 -\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIIhrnI #DOWN { s1*4 | s4 } s2. |
    \barNumberCheck # 230
    s1*1 |
    \barNumberCheck # 231
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIIbclr ) <<
        \new Dynamics \breaksII

        \new MarkLine \mvtIItempi

        \new Staff = mvtIIbclr \with {
        } \context Bottom <<
            \transpose \transpInstr c' \mvtIIbclr
            \cuesII
        >>

        \new Dynamics = mvtIIfootnotes \mvtIIfootnotes
    >>

    \header {
        piece = \mvtIIpiece
        breakbefore = ##t
    }
}
