\version "2.21.0"

transpInstr = c     % default set to c in -common.ily
transpCfg = c'

\include "include-once.ily"
\includeOnce "berg-conc-vln-1.ily"
\includeOnce "berg-conc-vln-2.ily"

% \includeOnce "berg-conc-vln-title.ily"
\includeOnce "berg-conc-vln-paged-title.ily"


\header {
    instrument = "Kontrafagott"
}

\paper {
    page-count = #8    % finalize
    % ragged-last-bottom = ##f
}



breaksI = <<
\mvtItimeline
{
    % \time 4/4
    s1*10 |
    \barNumberCheck # 11
    % \time 2/4
    s2*91 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    s2.*33 |
    \barNumberCheck # 137
    % \pageTurn
    s2.*39 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    s4.*25 |
    \barNumberCheck # 201
    \noBreak
    s4.*8 |
    \barNumberCheck # 209
    \noBreak
    s4.*49 |
    \barNumberCheck # 258
}
>>


cuesI = <<
\mvtItimeline
\relative c'' {
    \transposition \transpInstr
    % \time 4/4
    \temporary \override MultiMeasureRest.staff-position = #8
    <>-\offset X-offset #-1.5 ^\markup\column{"Harfe," "Klar."}
    \cueDuring mvtIhpQ #DOWN { \ottava 1 s1 | }
    #(ly:expect-warning "unterminated tie")
    <>-\offset X-offset #-1.5 ^\markup{Solo-Vln.}
    \cueDuring mvtIvlnSolo #DOWN { s1 <>) | }
    #(ly:expect-warning "already have slur")
    <>-\offset X-offset #-1.5 ^\markup\column{"Harfe," "Klar."}
    \cueDuring mvtIhpQ #DOWN { s1 <>\! | \ottava 0 }
    \barNumberCheck # 4
    \revert MultiMeasureRest.staff-position
    s1*7 |
    \barNumberCheck # 11
    % \time 2/4
    s2*17 |
    \barNumberCheck # 28
    <>-\offset X-offset #-1.5 ^\markup{1.Fagott}
    \cueDuring mvtIfgI #UP { s2*3 | }
    \cueDuring mvtIfgI #DOWN { s2*2 | }
    \barNumberCheck # 33
    s2*17 |
    \barNumberCheck # 50
    \at 2*2 \temporary \override MultiMeasureRest.staff-position = #-10
    \at 2*3 \revert MultiMeasureRest.staff-position
    \at 4. -\offset X-offset #-1.5 ^\markup{1.2.Fagott}
    \cueDuring mvtIfgI #UP { s2*6 | }
    \barNumberCheck # 56
    s2*14 |
    \barNumberCheck # 70
    \at 4. -\offset X-offset #-1.5 ^\markup{1.Trompete}
    \cueDuring mvtItrpI #DOWN { s4. \ottava 2 s8 | s2 | }
    \cueDuring mvtItrpI #UP { s2*4 | \ottava 0 }
    \barNumberCheck # 76
    s2*16 |
    \barNumberCheck # 92
    <>-\offset X-offset #-1.5 ^\markup{1.Fagott}
    \cueDuring mvtIfgI #DOWN { s2*2 | }
    \cueDuring mvtIfgI #UP { s2*3 | }
    \barNumberCheck # 97
    s2*5 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \at 2. \temporary \override MultiMeasureRest.staff-position = #-8
    \cueDuring mvtIclrI #UP { \ottava 1 s2.*2 | s8 \ottava 0 s8 s2 | }
    \barNumberCheck # 107
    \revert MultiMeasureRest.staff-position
    s2.*19 |
    \barNumberCheck # 126
    \at 8 -\offset X-offset #-1.5 ^\markup{1.Flöte}
    \cueDuring mvtIflI #DOWN { s8 \ottava 2 s4 s4. | s2. | }
    \cueDuring mvtIflI #UP { s2.*2 | s4. s8 \ottava 0 s4 | }
    \barNumberCheck # 131
    s2.*6 |
    \barNumberCheck # 137
    #(ly:expect-warning "cannot end slur")
    <>-\offset X-offset #-1.5 ^\markup\normalsize{1.2.Fagott}
    \temporary \override MultiMeasureRest.staff-position = #6
    \at 2.*3 \temporary \override MultiMeasureRest.staff-position = #-6
    <<
        \new Voice { \voiceOne \teeny \quoteDuring mvtIfgI { s2.*2 | \voiceTwo s2. | \voiceOne s2. | } }
        \new Voice { \voiceTwo \teeny \quoteDuring mvtIfgII { s2.*2 | } }
    >>
    \barNumberCheck # 141
    \revert MultiMeasureRest.staff-position
    \revert MultiMeasureRest.staff-position
    s2.*14 |
    \barNumberCheck # 155
    <>-\offset X-offset #-1.5 ^\markup{1.Flöte}
    \cueDuring mvtIflI #UP { \ottava 1 s2.*5 | s4. s4 \ottava 0 s8 | }
    \barNumberCheck # 161
    s2.*4 |
    \barNumberCheck # 165
    #(ly:expect-warning-times 2 "unterminated slur")
    \at 2 -\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIclrI #UP { \ottava 1 s2.*6 | \ottava 0 }
    \barNumberCheck # 171
    s2.*5 |
    \barNumberCheck # 176
    % \time 3/8
    s4.*4 |
    \barNumberCheck # 180
    \at 8 -\offset X-offset #-1.5 ^\markup{1.Fagott}
    \cueDuring mvtIfgI #UP { s4.*9 | }
    \barNumberCheck # 189
    s4.*11 |
    \barNumberCheck # 200
    <>-\offset X-offset #-1.5 ^\markup{1.Posaune}
    \cueDuring mvtItromI #UP { s4.*9 | }
    \barNumberCheck # 209
    s4.*17 |
    \barNumberCheck # 226
    <>-\offset X-offset #-1.5 ^\markup{1.Trompete}
    \cueDuring mvtItrpI #UP { \ottava 2 s4.*3 | \ottava 0 }
    \barNumberCheck # 229
    s4.*18 |
    \barNumberCheck # 247
    \at 16 -\offset X-offset #-1.5 ^\markup{1.Trompete}
    \cueDuring mvtItrpI #DOWN { \ottava 2 s4.*3 | \ottava 0 }
    \barNumberCheck # 250
    s4.*8 |
    \barNumberCheck # 258
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIcfg ) <<
        \new Dynamics \breaksI

        \new MarkLine \mvtItempi

        \new Staff = mvtIcfg \with {
        } \context Bottom <<
            \transpose \transpInstr \transpCfg \mvtIcfg
            \cuesI
        >>

        \new Dynamics = mvtIfootnotes \mvtIfootnotes
    >>

    \header {
        piece = \mvtIpiece
    }
}


breaksII = <<
\mvtIItimeline
{
    \barNumberCheck # 1
    % \time 3/4
    s2.*41 |
    \barNumberCheck # 42
    \pageTurn
    s2.*21 |
    \barNumberCheck # 63
    % \time 4/4
    s1*15 |
    \barNumberCheck # 78
    % \time 3/4
    s2.*18 |
    \barNumberCheck # 96
    s2.*40 |
    \barNumberCheck # 136
    % \time 4/4
    s1*22 |
    \barNumberCheck # 158
    s1*40 |
    \barNumberCheck # 198
    \pageTurn
    s1*3 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 214
    % \time 4/4
    s1*17 |
    \barNumberCheck # 231
}
>>


cuesII = <<
\mvtIItimeline
\relative c' {
    \transposition \transpInstr
    % \time 3/4
    s2.*19 |
    \barNumberCheck # 20
    \at 4 -\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIIclrI #DOWN { s4 \ottava 2 s2 | }
    \cueDuring mvtIIclrI #UP { s2 s8 \ottava 0 s8 | }
    \barNumberCheck # 22
    s2.*22 |
    \barNumberCheck # 44
    <>-\offset X-offset #-1.5 ^\markup{1.Flöte}
    \cueDuring mvtIIflI #UP { \ottava 2 s2.*8 | \ottava 0 }
    \barNumberCheck # 52
    s2.*11 |
    \barNumberCheck # 63
    % \time 4/4
    s1 |
    \barNumberCheck # 64
    \temporary \override MultiMeasureRest.staff-position = #4
    \at 4.. -\offset X-offset #-1.5 ^\markup\line{Violoncello (get.)}
    \cueDuring mvtIIvc #DOWN { s1*3 | }
    \barNumberCheck # 67
    \revert MultiMeasureRest.staff-position
    s1*6 |
    \barNumberCheck # 73
    \at 16 -\offset X-offset #-1.5 ^\markup{Bratsche}
    \cueDuring mvtIIvla #UP { s1*5 <>\! | }
    \barNumberCheck # 78
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 91
    #(ly:expect-warning-times 2 "unterminated tie")
    <>-\offset X-offset #-1.5 ^\markup\line{1.Klarinette}
    \cueDuring mvtIIclrI #UP { \ottava 1 s2.*5 <>\! | \ottava 0 } |
    \barNumberCheck # 96
    s2.*40 |
    \barNumberCheck # 136
    % \time 4/4
    s1*6 |
    \barNumberCheck # 142
    <>-\offset X-offset #-1.5 ^\markup"1.Klarinette"
    \cueDuring mvtIIclrI #UP { \ottava 2 s1*5 | \ottava 0 }
    \barNumberCheck # 147
    s1*11 |
    \barNumberCheck # 158
    \at 4 -\offset X-offset #-1.5 ^\markup"1.Horn"
    \cueDuring mvtIIhrnI #UP { s4 \ottava 1 s2. | s1*5 | \ottava 0 }
    \barNumberCheck # 164
    s1*14 |
    \barNumberCheck # 178
    \at 2 -\offset X-offset #-1.5 ^\markup"1.Fagott"
    \cueDuring mvtIIfgI #DOWN { s1*2 | }
    \cueDuring mvtIIfgI #UP { s1*4 | }
    \barNumberCheck # 184
    s1*17 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*3 |
    \barNumberCheck # 204
    <>^\markup\halign #1.3 {1.Klarinette}
    \cueDuring mvtIIclrI #UP { \ottava 1 s2.*5 | }
    \cueDuring mvtIIclrI #DOWN { s2.*3 | \ottava 0 }
    \barNumberCheck # 212
    s2.*2 |
    \barNumberCheck # 214
    % \time 4/4
    s1*17 |
    \barNumberCheck # 231
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIIcfg ) <<
        \new Dynamics \breaksII

        \new MarkLine \mvtIItempi

        \new Staff = mvtIIcfg \with {
        } \context Bottom <<
            \transpose \transpInstr \transpCfg \mvtIIcfg
            \cuesII
        >>

        \new Dynamics = mvtIIfootnotes \mvtIIfootnotes
    >>

    \header {
        piece = \mvtIIpiece
        % breakbefore = ##t
    }
}

\includeOnce "last-page-copyright.ily"

\markup\vspace #20.0
\hauptStimmeExplain
\markup\vspace #2.0
