\version "2.21.0"

\include "include-once.ily"
\includeOnce "common.ily"
\includeOnce "common-defs-wien.ily"

\includeOnce "staff-bracket.ily"
\includeOnce "berg-conc-vln-hauptstimme.ily"

sfffzp = #(make-dynamic-script "sfffzp")
sffzp = #(make-dynamic-script "sffzp")
pPppMarkup = \markup\concat{p \normal-text ( pp \normal-text )}
pPpp = #(make-dynamic-script pPppMarkup)

footnoteMark = \markup\upright\halign #1.2 \bold\concat{\raise #-0.4 * )}
footnoteMarkB = \markup\upright\halign #1.2 \bold\concat{\raise #-0.4 ** )}
footnoteMarkC = \markup\upright\halign #1.2 \bold\large\concat{† )}

% stuff that changes between parts and full score.
#(define markSize (if (defined? 'markSize) markSize 0))
#(define tempoSize (if (defined? 'tempoSize) tempoSize 0))
#(define transposeOttavino (if (defined? 'transposeOttavino) transposeOttavino #{ c' #}))
#(define transposeFlII (if (defined? 'transposeFlII) transposeFlII #{ c #}))
#(define octavationOttavino (if (defined? 'octavationOttavino) octavationOttavino #{ #0 #}))


% Transposition table

% To allow the score in c and the quotes/cues in the instrument's transposition,
% transpose all addQuotes. Remember: all transposing instruments need to set
% transpInstr in the part to their transposition.
#(define transpInstr (if (defined? 'transpInstr) transpInstr #{ c #}))

% ! Make sure not to override values set in -score-common.ily
transpEH = f,
transpAsax = es,
transpClrB = bes,
transpClrA = a,
#(define transpBclr (if (defined? 'transpBclr) transpBclr #{ bes, #}))
#(define transpCfg (if (defined? 'transpCfg) transpCfg #{ c #}))
transpHrn = f,
#(define transpTuba (if (defined? 'transpTuba) transpTuba #{ c #}))
#(define transpCb (if (defined? 'transpCb) transpCb #{ c,, #}))


\layout {
    \context {
        \name FollowerVoice

        \type "Engraver_group"

        \consists Rhythmic_column_engraver
        \consists Arpeggio_engraver
        \consists Glissando_engraver
        \consists Grace_engraver
        \consists Note_head_line_engraver
        \consists Script_column_engraver
        \consists Separating_line_group_engraver
        \consists Slur_engraver
        \consists Spacing_engraver
        \consists Span_arpeggio_engraver
        \consists Tweak_engraver

        \consists Note_heads_engraver
        \consists Stem_engraver

        % \consists Forbid_line_break_engraver
        % \remove Forbid_line_break_engraver

        % either:
            % \consists Text_engraver \shiftOn
        % or:
            \transOn

        \autoBeamOff

        \alias Voice
    }

    \context {
        \FollowerVoice {
            \override VoiceFollower.bound-details.right.arrow = ##t
            \override Slur.details.edge-attraction-factor = #1000
            \override Slur.details.max-slope = #100.0
            \override Slur.details.max-slope-factor = #0.1
            \override Slur.thickness = #0.5

            % \omit Clef
            % \omit ClefModifier
            % \omit KeySignature
            % \omit TimeSignature

            \override BarLine.break-visibility = #center-visible
        }
    }

    \inherit-acceptability "FollowerVoice" "Voice"

    \context {
        \Staff
            \accepts FollowerVoice
    }
}


\layout {
    \context {
        \Score
            \override TextSpanner.minimum-length-after-break = #0
            \override TextSpanner.bound-details.left.text = "NOOO this is not the intention, always use \\once"

            \override DynamicLineSpanner.font-size = #0
            \override DynamicTextSpanner.font-size = #0
            \override DynamicText.font-size = #0

            \override RehearsalMark.self-alignment-X = #CENTER
            \override MetronomeMark.font-shape = #'upright

            \override VoiceFollower.breakable = ##t
            % \override VoiceFollower.break-visibility = #all-visible
            \override VoiceFollower.after-line-breaking = ##t
    }

    \context {
        \Voice {
            \override Hairpin.height = #0.5
            \override Hairpin.minimum-length = #3.3

            \override Glissando.springs-and-rods = #ly:spanner::set-spacing-rods
            \override Glissando.minimum-length = #6.0
        }
    }

    \context {
	\StaffGroup
	    \override SystemStartBracket.collapse-height = #5
    }

    \context {
	\GrandStaff
	    \override SystemStartBrace.collapse-height = #5
    }

    \context {
	\PianoStaff
	    \consists Span_stem_engraver
            connectArpeggios = ##t
    }

    \context {
        \Staff {
            \set soloText = \markup\null
            \set soloIIText = \markup\null
            \set aDueText = \markup\null
            % \accidentalStyle dodecaphonic-no-repeat
            \accidentalStyle dodecaphonic-first
            % \override TextScript.font-size = #0.5
            \override TextScript.baseline-skip = #2.0
            \override TextSpanner.baseline-skip = #1.5
            \override TextScript.direction = #UP
        }
    }

    \context {
        \MarkLine
            \override TextScript.font-shape = #'upright
            \override TextSpanner.font-shape = #'upright

            % doesn't work, have to find out:
            \override RehearsalMark.outside-staff-priority = #325
            % doesn't work, have to find out:
            \override TimedSpanner.outside-staff-priority = #350
    }
    \context {
        \TimedSpanner
            \override LyricText.font-shape = #'upright
    }

    \context {
	\Voice {
            \override Beam.breakable = ##t
            \override Beam.auto-knee-gap = #9
            \override Hairpin.after-line-breaking = ##t
	    \set subdivideBeams = ##t
        }
    }

    % To actually suppress Marks and Tempi in the Score for use of a TimeLine:
    \context {
        \Score
            \remove "Mark_engraver"
            \remove "Metronome_mark_engraver"
            \remove "Staff_collecting_engraver"
    }
}

\paper {
    footnote-separator-markup = \markup\null

    scoreTitleMarkup = \markup\column {
        \on-the-fly #print-all-headers { \bookTitleMarkup \hspace #1 }
        % \combine \null \vspace #0.0
        \combine \null \vspace #1.0
        \fontsize #6 \bold {
            \fromproperty #'header:piece
        }
        \combine \null \vspace #0.5
    }
}

\paper {
    #(define fonts
        (make-pango-font-tree
            "DejaVu Serif Condensed"
            "DejaVu Sans Condensed"
            "DejaVu Sans Mono"
            (/ staff-height pt 21)))
}
