\version "2.21.0"

% transpInstr = ...     % default set to c in -common.ily

\include "include-once.ily"
\includeOnce "berg-conc-vln-1.ily"
\includeOnce "berg-conc-vln-2.ily"

% \includeOnce "berg-conc-vln-title.ily"
\includeOnce "berg-conc-vln-paged-title.ily"


\header {
    instrument = "2. Fagott"
}

\paper {
    page-count = #9    % finalize
    ragged-last-bottom = ##f
}



breaksI = <<
\mvtItimeline
{
    % \time 4/4
    s1*10 |
    \barNumberCheck # 11
    % \time 2/4
    s2*91 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    s2.*28 |
    \barNumberCheck # 132
    \pageTurn
    s2.*44 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    s4.*82 |
    \barNumberCheck # 258
}
>>


cuesI = <<
\mvtItimeline
\relative c'' {
    \transposition \transpInstr
    % \time 4/4
    \temporary \override MultiMeasureRest.staff-position = #8
    <>-\offset X-offset #-1.5 ^\markup\column{"Harfe," "Klar."}
    \cueDuring mvtIhpQ #DOWN { \ottava 1 s1 | }
    #(ly:expect-warning "unterminated tie")
    <>-\offset X-offset #-1.5 ^\markup{Solo-Vln.}
    \cueDuring mvtIvlnSolo #DOWN { s1 <>) | }
    #(ly:expect-warning "already have slur")
    <>-\offset X-offset #-1.5 ^\markup\column{"Harfe," "Klar."}
    \cueDuring mvtIhpQ #DOWN { s1 <>\! | \ottava 0 }
    \barNumberCheck # 4
    \revert MultiMeasureRest.staff-position
    s1*7 |
    \barNumberCheck # 11
    % \time 2/4
    s2*13 |
    \barNumberCheck # 24
    \at 8 -\offset X-offset #-1.5 ^\markup{Sax.}
    \cueDuring mvtIasax #UP { s8 \ottava 1 s4. | s2*3 | \ottava 0 }
    \barNumberCheck # 28
    s2*56 |
    \barNumberCheck # 84
    #(ly:expect-warning "unterminated slur")
    \at 8 -\offset X-offset #-1.5 ^\markup{1.Flöte}
    \cueDuring mvtIflI #UP { s8 \ottava 2 s4. | s2*6 | \ottava 0 }
    \barNumberCheck # 91
    s2*11 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \at 2. \temporary \override MultiMeasureRest.staff-position = #-8
    \cueDuring mvtIclrI #UP { \ottava 1 s2.*2 | s8 \ottava 0 s8 s2 | }
    \barNumberCheck # 107
    \revert MultiMeasureRest.staff-position
    s2.*25 |
    \barNumberCheck # 132
    <>-\offset X-offset #-1.5 ^\markup{Violoncello}
    \cueDuring mvtIvc #DOWN { s2.*4 | }
    \cueDuring mvtIvc #UP { s2.*1 | }
    \barNumberCheck # 137
    s2.*25 |
    \barNumberCheck # 162
    \at 2 -\offset X-offset #-1.5 ^\markup{Sax.}
    \cueDuring mvtIasax #UP { s2 \ottava 1 s4 | s2.*3 | \ottava 0 }
    \barNumberCheck # 166
    s2.*10 |
    \barNumberCheck # 176
    % \time 3/8
    s4.*37 |
    \barNumberCheck # 213
    \at 4 -\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIhrnI #UP { s4 \ottava 1 s8 | s4.*9 | s8 \ottava 0 s4 | }
    \barNumberCheck # 224
    s4.*34 |
    \barNumberCheck # 258
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIfgII ) <<
        \new Dynamics \breaksI

        \new MarkLine \mvtItempi

        \new Staff = mvtIfgII \with {
        } \context Bottom <<
            \transpose \transpInstr c \mvtIfgII
            \cuesI
        >>

        \new Dynamics = mvtIfootnotes \mvtIfootnotes
    >>

    \header {
        piece = \mvtIpiece
    }
}


breaksII = <<
\mvtIItimeline
{
    \barNumberCheck # 1
    % \time 3/4
    s2.*62 |
    \barNumberCheck # 63
    % \time 4/4
    s1*15 |
    \barNumberCheck # 78
    % \time 3/4
    \pageTurn
    s2.*18 |
    \barNumberCheck # 96
    s2.*9 |
    \barNumberCheck # 105
    \noBreak
    s2.*31 |
    \barNumberCheck # 136
    % \time 4/4
    s1*22 |
    \barNumberCheck # 158
    s1*19 |
    \barNumberCheck # 177
    \noBreak
    s1*24 |
    \barNumberCheck # 201
    % \time 3/4
    \noBreak
    s2.*13 |
    \barNumberCheck # 214
    % \time 4/4
    s1*17 |
    \barNumberCheck # 231
}
>>


cuesII = <<
\mvtIItimeline
\relative c' {
    \transposition \transpInstr
    % \time 3/4
    s2.*43 |
    \barNumberCheck # 44
    <>-\offset X-offset #-1.5 ^\markup{1.Flöte}
    \cueDuring mvtIIflI #UP { \ottava 2 s2.*8 | \ottava 0 }
    \barNumberCheck # 52
    s2.*11 |
    \barNumberCheck # 63
    % \time 4/4
    s1 |
    \barNumberCheck # 64
    \temporary \override MultiMeasureRest.staff-position = #4
    \at 4.. -\offset X-offset #-1.5 ^\markup\line{Violoncello (get.)}
    \cueDuring mvtIIvc #DOWN { s1*3 | }
    \barNumberCheck # 67
    \revert MultiMeasureRest.staff-position
    s1*6 |
    \barNumberCheck # 73
    \at 16 -\offset X-offset #-1.5 ^\markup{Bratsche}
    \cueDuring mvtIIvla #UP { s1*5 <>\! | }
    \barNumberCheck # 78
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 91
    #(ly:expect-warning-times 2 "unterminated tie")
    <>-\offset X-offset #-1.5 ^\markup\line{1.Klarinette}
    \cueDuring mvtIIclrI #UP { \ottava 1 s2.*5 <>\! | \ottava 0 } |
    \barNumberCheck # 96
    s2.*40 |
    \barNumberCheck # 136
    % \time 4/4
    s1*33 |
    \barNumberCheck # 169
    \at 4 -\offset X-offset #-1.5 ^\markup"1.Posaune"
    \cueDuring mvtIItromI #UP { s1*9 | }
    \barNumberCheck # 178
    s1*6 |
    \barNumberCheck # 184
    s1*17 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*7 |
    \barNumberCheck # 208
    <>-\offset X-offset #-1.5 ^\markup"1.Klarinette"
    \cueDuring mvtIIclrI #DOWN { \ottava 1 s2.*4 | \ottava 0 }
    \barNumberCheck # 212
    s2.*2 |
    \barNumberCheck # 214
    % \time 4/4
    s1*11 |
    \barNumberCheck # 225
    #(ly:expect-warning "unterminated slur")
    \at 2 -\offset X-offset #-1.5 ^\markup"1.3.Horn"
    \cueDuring mvtIIhrnI #UP { s2 \ottava 1 s2 | s1*3 | \ottava 0 }
    \barNumberCheck # 229
    s1*2 |
    \barNumberCheck # 231
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIIfgII ) <<
        \new Dynamics \breaksII

        \new MarkLine \mvtIItempi

        \new Staff = mvtIIfgII \with {
        } \context Bottom <<
            \transpose \transpInstr c \mvtIIfgII
            \cuesII
        >>

        \new Dynamics = mvtIIfootnotes \mvtIIfootnotes
    >>

    \header {
        piece = \mvtIIpiece
        breakbefore = ##t
    }
}
