\version "2.21.0"

% transpInstr = ...     % default set to c in -common.ily

\include "include-once.ily"
\includeOnce "berg-conc-vln-1.ily"
\includeOnce "berg-conc-vln-2.ily"

% \includeOnce "berg-conc-vln-title.ily"
\includeOnce "berg-conc-vln-paged-title.ily"

\markup\null\pageBreak

\header {
    instrument = "Harfe"
}

\paper {
    page-count = # 14    % finalize
    ragged-last-bottom = ##f
}


% %{
breaksI = <<
\mvtItimeline
{
    % \time 4/4
    s1*10 |
    \barNumberCheck # 11
    % \time 2/4
    s2*27 |
    \barNumberCheck # 38
    \pageTurn
    s2*64 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    s2.*12 |
    \barNumberCheck # 116
    \pageTurn
    s2.*34 |
    \barNumberCheck # 150
    \pageTurn
    s2.*8 |
    \barNumberCheck # 158
    \noBreak
    s2.*18 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    s4.*25 |
    \barNumberCheck # 201
    \noBreak
    s4.*8 |
    \barNumberCheck # 209
    \noBreak
    s4.*26 |
    \barNumberCheck # 235
    \break
    s4.*23 |
    \barNumberCheck # 258
}
>>


cuesI = <<
\mvtItimeline
\relative c'' {
    \transposition \transpInstr
    % \time 4/4
    s1 |
    #(ly:expect-warning "unterminated slur")
    \temporary \override MultiMeasureRest.staff-position = #6
    <>-\offset X-offset #-1.5 ^\markup{Solo-Violine}
    \cueDuring mvtIvlnSolo #DOWN { s1 | }
    s1 |
    #(ly:expect-warning "unterminated slur")
    <>-\offset X-offset #-1.5 ^\markup{Solo-Violine}
    \cueDuring mvtIvlnSolo #DOWN { s1 | }
    \revert MultiMeasureRest.staff-position
    \barNumberCheck # 5
    s1*6 |
    \barNumberCheck # 11
    % \time 2/4
    s2*4 |
    \barNumberCheck # 15
    <>-\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIhrnI #DOWN { s2*3 | s4. } s8 |
    \barNumberCheck # 19
    s2*35 |
    \barNumberCheck # 54
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIclrI #DOWN { s2*3 | }
    \cueDuring mvtIclrI #UP { s2*3 | s4. } s8 |
    \barNumberCheck # 61
    s2*22 |
    \barNumberCheck # 83
    \newSpacingSection
    \stretchHorizontalSpacing #1.0
    s2*9 |
    \barNumberCheck # 92
    \newSpacingSection
    \stretchHorizontalSpacing #0.0
    s2*10 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    s2.*12 |
    \barNumberCheck # 116
    <>-\offset X-offset #-1.5 ^\markup{1.Fagott}
    \cueDuringWithClef mvtIfgI #UP #"bass" { s2.*2 | }
    \barNumberCheck # 118
    s2.*14 |
    \barNumberCheck # 132
    <>-\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIhrnI #DOWN { s2.*3 | }
    \barNumberCheck # 135
    s2.*15 |
    \barNumberCheck # 150
    \at 16*7 -\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIhrnI #DOWN { s2.*3 | }
    \barNumberCheck # 153
    s2.*23 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    s4.*24 |
    \barNumberCheck # 200
    <>^\markup\right-align{1.Posaune}
    \cueDuringWithClef mvtItromI #UP "bass" { s4.*9 | }
    \barNumberCheck # 209
    s4.*26 |
    \barNumberCheck # 235
    <>-\offset X-offset #-1.5 ^\markup{1.Oboe}
    \cueDuring mvtIobI #DOWN { s4.*6 | }
    \barNumberCheck # 241
    s4.*17 |
    \barNumberCheck # 258
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIhpRH ) <<
        \new Dynamics \breaksI

        \new MarkLine \mvtItempi

        \new PianoStaff \with {
        } <<
            \new Staff = mvtIhpRH \with {
            } \context Bottom <<
                \transpose \transpInstr c \mvtIhpRH
                \cuesI
            >>
            \new Dynamics \mvtIhpDyn
            \new Staff = mvtIhpLH \with {
            } <<
                \transpose \transpInstr c \mvtIhpLH
            >>
        >>

        \new Dynamics = mvtIfootnotes \mvtIfootnotes
    >>

    \header {
        piece = \mvtIpiece
    }
}
% %}


% %{
breaksII = <<
\mvtIItimeline
{
    \barNumberCheck # 1
    % \time 3/4
    \autoPageBreaksOff
    s2.*38 |
    \barNumberCheck # 39
    \pageTurn
    \autoPageBreaksOn
    s2.*5 |
    \barNumberCheck # 44
    \noBreak
    s2.*19 |
    \barNumberCheck # 63
    % \time 4/4
    s1*15 |
    \barNumberCheck # 78
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 91
    % \pageTurn
    s2.*5 |
    \barNumberCheck # 96
    s2.*5 |
    \barNumberCheck # 101
    \break
    s2.*3 |
    \barNumberCheck # 104
    \pageTurn
    s2.*32 |
    \barNumberCheck # 136
    % \time 4/4
    s1*22 |
    \barNumberCheck # 158
    s1*40 |
    \barNumberCheck # 198
    % \pageTurn
    s1*3 |
    \barNumberCheck # 201
    % \time 3/4
    \noBreak
    s2.*13 |
    \barNumberCheck # 214
    % \time 4/4
    s1*17 |
    \barNumberCheck # 231
}
>>


cuesII = <<
\mvtIItimeline
\relative c' {
    \transposition \transpInstr
    \barNumberCheck # 1
    % \time 3/4
    % <>^"FIXME debug these cues"
    \at 8 _\markup\halign #1.4 \column{"Bklr., Fg.," "Tuba, Vc."}
    \cueDuringWithClef mvtIIvc #DOWN "bass" { s4. } s4. |
    \barNumberCheck # 2
    <>^\markup{1.Violine}
    \cueDuring mvtIIvlnI #UP { s2. | }
    s2.*36 |
    \barNumberCheck # 39
    \at 16 -\offset X-offset #-1.5 ^\markup\column{"Bklr.,Fag." "(Sax.,Klar.)"}
    \cueDuring mvtIIfgI #DOWN { s2.*5 | }
    \barNumberCheck # 44
    s2.*19 |
    \barNumberCheck # 63
    % \time 4/4
    s1 |
    \barNumberCheck # 64
    \temporary \override MultiMeasureRest.staff-position = #4
    \at 4.. -\offset X-offset #-1.5 ^\markup\line{Violoncello (get.)}
    \cueDuringWithClef mvtIIvc #DOWN "bass" { s1*3 | }
    \barNumberCheck # 67
    \revert MultiMeasureRest.staff-position
    s1*6 |
    \barNumberCheck # 73
    #(ly:expect-warning "unterminated tie")
    \at 16 -\offset X-offset #-1.5 ^\markup\line{Bratsche}
    \cueDuringWithClef mvtIIvla #UP "bass" { s1*5 | }
    \barNumberCheck # 78
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 91
    <>-\offset X-offset #-1.5 ^\markup\line{1.Klarinette}
    \cueDuring mvtIIclrI #UP { s2.*5 | }
    \barNumberCheck # 96
    \at 8 ^\markup\halign #0.8 {Bklr.,Fg.}
    \cueDuring mvtIIfgI #DOWN { s8 \ottava -1 s4. \ottava 0 } s4 |
    \barNumberCheck # 97
    s2.*12 |
    \barNumberCheck # 109
    <>-\offset X-offset #-1.5 ^\markup\line{1.3.Horn}
    \cueDuring mvtIIhrnI #DOWN { s2.*3 | }
    \barNumberCheck # 112
    s2.*24 |
    \barNumberCheck # 136
    % \time 4/4
    s1*6 |
    \barNumberCheck # 142
    <>-\offset X-offset #-1.5 ^\markup\line{1.Klarinette}
    \cueDuring mvtIIclrI #UP { s1*6 | }
    \barNumberCheck # 148
    s1 |
    \barNumberCheck # 149
    \at 2. -\offset X-offset #-1.5 ^\markup\line{1.Klarinette}
    \cueDuring mvtIIclrI #UP { s1*9 | }
    \barNumberCheck # 158
    s1*43 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 214
    % \time 4/4
    s1*11 |
    \barNumberCheck # 225
    #(ly:expect-warning "unterminated slur")
    \at 2 -\offset X-offset #-1.5 ^\markup\line{1.3.Horn}
    \cueDuring mvtIIhrnI #DOWN { s1*4 | s4 } s2. |
    \barNumberCheck # 230
    s1*1 |
    \barNumberCheck # 231
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIIhpRH ) <<
        \new Dynamics \breaksII

        \new MarkLine \mvtIItempi

        \new PianoStaff \with {
        } <<
            \new Staff = mvtIIhpRH \with {
            } \context Bottom <<
                \transpose \transpInstr c \mvtIIhpRH
                \cuesII
            >>
            \new Dynamics \mvtIIhpDyn
            \new Staff = mvtIIhpLH \with {
            } <<
                \transpose \transpInstr c \mvtIIhpLH
            >>
        >>

        \new Dynamics = mvtIIfootnotes \mvtIIfootnotes
    >>

    \header {
        piece = \mvtIIpiece
        % breakbefore = ##t
    }
}
% %}
