\version "2.21.0"

% transpInstr = ...     % default set to c in -common.ily

\include "include-once.ily"
\includeOnce "berg-conc-vln-1.ily"
\includeOnce "berg-conc-vln-2.ily"

% \includeOnce "berg-conc-vln-title.ily"
\includeOnce "berg-conc-vln-paged-title.ily"


\header {
    instrument = "1. Oboe"
}

\paper {
    % page-count = #    % finalize
    % ragged-last-bottom = ##f
}



breaksI = <<
\mvtItimeline
{
    % \time 4/4
    s1*10 |
    \barNumberCheck # 11
    % \time 2/4
    s2*91 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    s2.*57 |
    \barNumberCheck # 161
    \pageTurn
    s2.*15 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    \repeat unfold 3 { s4. \noBreak | }
    \barNumberCheck # 179
    s4.*66 |
    \barNumberCheck # 245
    \break
    s4.*13 |
    \barNumberCheck # 258
}
>>


cuesI = <<
\mvtItimeline
\relative c'' {
    \transposition \transpInstr
    % \time 4/4
    \temporary \override MultiMeasureRest.staff-position = #12
    <>-\offset X-offset #-1.5 ^\markup{Harfe, Klar.}
    \cueDuring mvtIhpQ #DOWN { \ottava -1 s1 | }
    #(ly:expect-warning "unterminated tie")
    <>-\offset X-offset #-1.5 ^\markup{Solo-Vln.}
    \cueDuring mvtIvlnSolo #DOWN { s1 <>) | }
    #(ly:expect-warning "already have slur")
    <>-\offset X-offset #-1.5 ^\markup{Harfe, Klar.}
    \cueDuring mvtIhpQ #DOWN { s1 | \ottava 0 }
    \barNumberCheck # 4
    \revert MultiMeasureRest.staff-position
    s1*7 |
    \barNumberCheck # 11
    % \time 2/4
    s2*17
    \barNumberCheck # 28
    <>-\offset X-offset #-1.5 ^\markup{1.Flöte}
    \cueDuring mvtIflI #UP { s2*2 | }
    \barNumberCheck # 30
    s2*8 |
    \barNumberCheck # 38
    #(ly:expect-warning "unterminated slur")
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIclrI #DOWN { s2*3 | }
    \barNumberCheck # 41
    s2*18 |
    \barNumberCheck # 59
    \at 4. -\offset X-offset #-1.5 ^\markup{Sax.}
    \cueDuring mvtIasax #DOWN { s2*5 | }
    \barNumberCheck # 64
    s2*20 |
    \barNumberCheck # 84
    \at 8 -\offset X-offset #-1.5 ^\markup{1.Flöte}
    \cueDuring mvtIflI #UP { s2*8 | }
    \barNumberCheck # 92
    s2*10 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIclrI #DOWN { s2.*2 | }
    \barNumberCheck # 106
    s2.*16 |
    \barNumberCheck # 122
    \temporary \override MultiMeasureRest.staff-position = #4
    #(ly:expect-warning "unterminated slur")
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIclrI #DOWN { s2.*4 | }
    \barNumberCheck # 126
    \revert MultiMeasureRest.staff-position
    s2.*11 |
    \barNumberCheck # 137
    #(ly:expect-warning "cannot end slur")
    <>-\offset X-offset #-1.5 ^\markup\normalsize{1.2.Fagott}
    <<
        \new Voice { \voiceTwo \teeny \quoteDuring mvtIfgII { \ottava #-1 s2.*3 | s4. \ottava #0 } }
        \new Voice { \voiceOne \teeny \quoteDuring mvtIfgI { s2.*2 | } }
        { \voiceOne s2.*4 | \oneVoice }
    >>
    \barNumberCheck # 141
    s2.*14 |
    \barNumberCheck # 155
    <>-\offset X-offset #-1.5 ^\markup\line{1.Flöte}
    \cueDuring mvtIflI #UP { s2.*6 | }
    \barNumberCheck # 161
    s2.*6 |
    \barNumberCheck # 167
    <>-\offset X-offset #-1.5 ^\markup\line{Tuba}
    \cueDuring mvtItuba #DOWN { \ottava -1 s2.*2 | \ottava 0 }
    \barNumberCheck # 169
    \revert MultiMeasureRest.staff-position
    s2.*6 |
    \barNumberCheck # 175
    #(ly:expect-warning-times 2 "unterminated slur")
    \at 4. -\offset X-offset #-1.5 ^\markup\line{Sax.}
    \cueDuring mvtIasax #DOWN {
        s2. |
        \barNumberCheck # 176
        % \bar "||"
        % \time 3/8
        s4.*8 |
    }
    \barNumberCheck # 184
    s4.*24 |
    \barNumberCheck # 208
    <>-\offset X-offset #-1.5 ^\markup\line{Sax.}
    \at 4.*9 \temporary \override MultiMeasureRest.staff-position = #-10
    \cueDuring mvtIasax #UP { s4.*11 <>\! | }
    \revert MultiMeasureRest.staff-position
    \barNumberCheck # 219
    s4.*12 |
    \barNumberCheck # 231
    #(ly:expect-warning "unterminated slur")
    \at 8 -\offset X-offset #-1.5 ^\markup\line{1.Klarinette}
    \cueDuring mvtIclrI #DOWN { s4.*4 | }
    \barNumberCheck # 235
    s4.*23 |
    \barNumberCheck # 258
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIobI ) <<
        \new Dynamics \breaksI

        \new MarkLine \mvtItempi

        \new Staff = mvtIobI \with {
        } \context Bottom <<
            \transpose \transpInstr c \mvtIobI
            \cuesI
        >>

        \new Dynamics = mvtIfootnotes \mvtIfootnotes
    >>

    \header {
        piece = \mvtIpiece
    }
}


breaksII = <<
\mvtIItimeline
{
    \barNumberCheck # 1
    % \time 3/4
    s2.*38 |
    \barNumberCheck # 39
    \pageTurn
    s2.*24 |
    \barNumberCheck # 63
    % \time 4/4
    s1*15 |
    \barNumberCheck # 78
    % \time 3/4
    s2.*18 |
    \barNumberCheck # 96
    s2.*40 |
    \barNumberCheck # 136
    % \time 4/4
    s1*22 |
    \barNumberCheck # 158
    s1*22 |
    \barNumberCheck # 180
    \pageTurn
    s1*21 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 214
    % \time 4/4
    s1*17 |
    \barNumberCheck # 231
}
>>


cuesII = <<
\mvtIItimeline
\relative c' {
    \transposition \transpInstr
    \barNumberCheck # 1
    % \time 3/4
    \at 8 _\markup\halign #1.4 \column{"Bklr., Fg.," "Tuba, Vc."}
    \cueDuring mvtIIvc #DOWN { s4. } s4. |
    \barNumberCheck # 2
    s2.*11 |
    \barNumberCheck # 13
    \at 8 -\offset X-offset #-1.5 ^\markup{1.3.Horn}
    \cueDuring mvtIIhrnI #DOWN { s2. | }
    \barNumberCheck # 14
    s2.*12 |
    \barNumberCheck # 26
    #(ly:expect-warning "unterminated slur")
    \at 4. -\offset X-offset #-1.5 ^\markup{Sax.}
    \cueDuring mvtIIasax #DOWN { s2.*6 | }
    \barNumberCheck # 32
    s2.*7 |
    \barNumberCheck # 39
    \at 16 -\offset X-offset #-1.5 ^\markup\column{"Bklr.,Fag." "(Sax.,Klar.)"}
    \cueDuring mvtIIfgI #DOWN { s2.*5 | }
    \barNumberCheck # 44
    s2.*19 |
    \barNumberCheck # 63
    % \time 4/4
    s1 |
    \barNumberCheck # 64
    \temporary \override MultiMeasureRest.staff-position = #4
    \at 4.. -\offset X-offset #-1.5 ^\markup\line{Violoncello (get.)}
    \cueDuring mvtIIvc #DOWN { s4.. \ottava -2 s8. s4. | s1 | s4. \ottava 0 } s8 s2 |
    \barNumberCheck # 67
    \revert MultiMeasureRest.staff-position
    s1*6 |
    \barNumberCheck # 73
    \temporary \override MultiMeasureRest.staff-position = #4
    #(ly:expect-warning "unterminated tie")
    \at 16 -\offset X-offset #-1.5 ^\markup\line{Bratsche}
    \cueDuring mvtIIvla #DOWN { s16 \ottava -1 s2... | s1*4 | \ottava 0 }
    \barNumberCheck # 78
    \revert MultiMeasureRest.staff-position
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 91
    <>-\offset X-offset #-1.5 ^\markup\line{1.Klarinette}
    \cueDuring mvtIIclrI #DOWN { s2.*5 | }
    \barNumberCheck # 96
    s2.*15 |
    \barNumberCheck # 111
    <>-\offset X-offset #-1.5 ^\markup{1.Fagott}
    \cueDuring mvtIIfgI #DOWN { \grace s8. \ottava -1 s2.*4 | \ottava 0 }
    \barNumberCheck # 115
    s2.*21 |
    \barNumberCheck # 136
    % \time 4/4
    s1*6 |
    \barNumberCheck # 142
    <>-\offset X-offset #-1.5 ^\markup\line{1.Klarinette}
    \cueDuring mvtIIclrI #UP { s1*6 | }
    \barNumberCheck # 148
    s1*10 |
    \barNumberCheck # 158
    s1*18 |
    \barNumberCheck # 176
    #(ly:expect-warning "unterminated tie")
    #(ly:expect-warning "cannot end slur")
    <>-\offset X-offset #-1.5 ^\markup\line{1.Violine}
    \cueDuring mvtIIvlnUnisono #UP { s1*2 | }
    \cueDuring mvtIIvlnUnisono #DOWN { s1 | }
    \cueDuring mvtIIvlnUnisono #UP { s1*3 | }
    \barNumberCheck # 182
    s1*16 |
    \barNumberCheck # 198
    #(ly:expect-warning "unterminated tie")
    \at 2. -\offset X-offset #-1.5 ^\markup\line{1.Horn}
    \cueDuring mvtIIhrnI #DOWN { s1*2 | s4 } s2. |
    \barNumberCheck # 201
    % \time 3/4
    s2.*9 |
    \barNumberCheck # 210
    <>-\offset X-offset #-1.5 ^\markup\line{1.Violine}
    \cueDuring mvtIIvlnI #DOWN { s2.*2 | }
    \cueDuring mvtIIvlnI #UP { s2.*2 | }
    \barNumberCheck # 214
    % \time 4/4
    s1*11 |
    \barNumberCheck # 225
    #(ly:expect-warning "unterminated slur")
    \at 2 -\offset X-offset #-1.5 ^\markup\line{1.3.Horn}
    \cueDuring mvtIIhrnI #DOWN { s1*4 | s4 } s2. |
    \barNumberCheck # 230
    s1*1 |
    \barNumberCheck # 231
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIIobI ) <<
        \new Dynamics \breaksII

        \new MarkLine \mvtIItempi

        \new Staff = mvtIIobI \with {
        } \context Bottom <<
            \transpose \transpInstr c \mvtIIobI
            \cuesII
        >>

        \new Dynamics = mvtIIfootnotes \mvtIIfootnotes
    >>

    \header {
        piece = \mvtIIpiece
        % breakbefore = ##t
    }
}
