\version "2.21.0"

\include "include-once.ily"
\includeOnce "berg-conc-vln-1.ily"
\includeOnce "berg-conc-vln-2.ily"

% \includeOnce "berg-conc-vln-title.ily"
\includeOnce "berg-conc-vln-paged-title.ily"


\markup\null\pageBreak


\header {
    instrument = "Solo-Violine"
}

\paper {
%    system-system-spacing = #'(
%	(basic-distance . 4)
%	(minimum-distance . 2)
%	(padding . 2)
%        (stretchability . 40)
%    )
    page-count = #21
    % ragged-last-bottom = ##f
    % ragged-bottom = ##t
}

\layout {
    %{
    \context {
        \Staff {
            \override VerticalAxisGroup.staff-staff-spacing =
                #'((basic-distance . 3)
                   (minimum-distance . 1)
                   (padding . 2.0)
                   (stretchability . 20))
             % also:
             %   nonstaff-relatedstaff-spacing           ?
        }
    }
    \context {
        \StaffGroup {
            \override VerticalAxisGroup.staff-staff-spacing =
                #'((basic-distance . 30)
                   (minimum-distance . 20)
                   (padding . 2.0)
                   (stretchability . 20))
             % also:
             %   nonstaff-relatedstaff-spacing           ?
            \override VerticalAxisGroup.staffgroup-staff-spacing =
                #'((basic-distance . 30)
                   (minimum-distance . 20)
                   (padding . 2.0)
                   (stretchability . 20))
             % also:
             %   nonstaff-relatedstaff-spacing           ?
        }
    }
    \context {
        \MarkLine {
            \override VerticalAxisGroup.nonstaff-nonstaff-spacing =
                #'((basic-distance . 25)
                   (minimum-distance . 20)
                   (padding . 10.0)
                   (stretchability . 30))
            \override VerticalAxisGroup.nonstaff-relatedstaff-spacing =
                #'((basic-distance . 25)
                   (minimum-distance . 20)
                   (padding . 10.0)
                   (stretchability . 30))
            \override VerticalAxisGroup.nonstaff-unrelatedstaff-spacing =
                #'((basic-distance . 25)
                   (minimum-distance . 20)
                   (padding . 10.0)
                   (stretchability . 30))
             %                  ?
             %   nonstaff-unrelatedstaff-spacing         ?
        }
    }
    \context {
        \Lyrics {
            \override VerticalAxisGroup.nonstaff-nonstaff-spacing =
                #'((basic-distance . 25)
                   (minimum-distance . 20)
                   (padding . 10.0)
                   (stretchability . 30))
            \override VerticalAxisGroup.nonstaff-unrelatedstaff-spacing =
                #'((basic-distance . 25)
                   (minimum-distance . 20)
                   (padding . 10.0)
                   (stretchability . 30))
             %                  ?
             %   nonstaff-unrelatedstaff-spacing         ?
        }
    }
    %}
}


cuesI = <<
\mvtItimeline
\relative c'' {
    % \time 4/4
    \transposition c
    s1*10 |
    \barNumberCheck # 11
    % \time 2/4
    s2*91 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    s2.*72 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    s4.*82 |
    \barNumberCheck # 258
}
>>


breaksI = <<
\mvtItimeline
{
    % \time 4/4
    s1*10 |
    \barNumberCheck # 11
    % \time 2/4
    s2*42 |
    \barNumberCheck # 53
    \pageTurn
    s2*28 |
    \barNumberCheck # 81
    \noBreak
    s2*21 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    s2.*2 |
    \barNumberCheck # 106
    \pageTurn
    s2.*34 |
    \barNumberCheck # 140
    \pageTurn
    s2.*20 |
    \barNumberCheck # 160
    % \pageTurn
    s2.*16 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    s4.*6 |
    \barNumberCheck # 182
    \pageTurn
    s4.*19 |
    \barNumberCheck # 201
    \noBreak
    s4.*13 |
    \barNumberCheck # 214
    \break
    s4.*7 |
    \barNumberCheck # 221
    \break
    s4.*8 |
    \barNumberCheck # 229
    \noBreak
    s4.*29 |
    \barNumberCheck # 258
}
>>


% %{
\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIvlnSolo ) <<
        \new Dynamics \breaksI

        \new MarkLine \mvtItempi

        \new GrandStaff \with {
            \consists Span_stem_engraver
        } <<
            \new Staff = mvtIvlnSolo \with {
                \consists Span_arpeggio_engraver
            } \context Bottom <<
                \mvtIvlnSolo
                \cuesI
            >>
            \new Staff = mvtIvlnSoloOssia \with {
                \omit Clef
                \omit TimeSignature
                \staffSize #-2
                \RemoveAllEmptyStaves
            } <<
                \mvtIvlnSoloOssia
            >>
        >>

        \new Dynamics = mvtIfootnotes \mvtIfootnotes
    >>

    \header {
        piece = \mvtIpiece
    }
}
% %}


cuesII = <<
\mvtIItimeline
\relative c' {
    \transposition c
    \barNumberCheck # 1
    % \time 3/4
    s2.*62 |
    \barNumberCheck # 63
    % \time 4/4
    s1*15 |
    \barNumberCheck # 78
    % \time 3/4
    s2.*18 |
    \barNumberCheck # 96
    s2.*6 |
    \break
    s2.*2 |
    \barNumberCheck # 104
    \newSpacingSection
    \stretchHorizontalSpacing #0.0
    % \break
    s2.*3 |
    \break
    s2.*2 |
    \barNumberCheck # 109
    \newSpacingSection
    % \stretchHorizontalSpacing #0.0
    s2.*2 |
    \break
    s2.*25 |
    \barNumberCheck # 136
    % \time 4/4
    s1*22 |
    \barNumberCheck # 158
    s1*43 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 214
    % \time 4/4
    s1*17 |
    \barNumberCheck # 231
}
>>


breaksII = <<
\mvtIItimeline
{
    \barNumberCheck # 1
    % \time 3/4
    s2.*62 |
    \barNumberCheck # 63
    % \time 4/4
    s1*15 |
    \barNumberCheck # 78
    % \time 3/4
    s2.*12 |
    \barNumberCheck # 90
    \break
    s2.*46 |
    \barNumberCheck # 136
    % \time 4/4
    s1*65 |
    \barNumberCheck # 201
    % \time 3/4
    \repeat unfold 2 { \noBreak s2. | }
    s2.*11 |
    \barNumberCheck # 214
    % \time 4/4
    s1*7 |
    \barNumberCheck # 221
    \noBreak
    s1*10 |
    \barNumberCheck # 231
}
>>


breaksIIcramped = <<
\mvtIItimeline
{
    \barNumberCheck # 1
    % \time 3/4
    \autoPageBreaksOff
    s2.*18 |
    \barNumberCheck # 19
    \pageBreak
    s2.*22 |
    \barNumberCheck # 41
    \pageBreak
    s2.*22 |
    \barNumberCheck # 63
    % \time 4/4
    s1*3 |
    \barNumberCheck # 66
    \pageBreak
    s1*12 |
    \barNumberCheck # 78
    % \time 3/4
    \pageBreak
    s2.*17 |
    \barNumberCheck # 95
    % \pageBreak
    s2. |
    \barNumberCheck # 96
    s2.*8 |
    \barNumberCheck # 104
    % \pageBreak
    s2.*10 |
    \barNumberCheck # 114
    \pageBreak
    s2.*12 |
    \barNumberCheck # 126
    % \pageBreak
    s2.*10 |
    \barNumberCheck # 136
    % \time 4/4
    s1*11 |
    \barNumberCheck # 147
    \pageTurn
    \autoPageBreaksOn
    s1*11 |
    \barNumberCheck # 158
    s1*43 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 214
    % \time 4/4
    s1 |
    \barNumberCheck # 215
    \pageTurn
    s1*16 |
    \barNumberCheck # 231
}
>>

% %{
\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIIvlnSolo ) <<
        \new Dynamics \breaksII
        \new Dynamics \breaksIIcramped

        \new MarkLine \mvtIItempi

        \new GrandStaff \with {
            \consists Span_stem_engraver
        } <<
            \new Staff = mvtIIvlnSolo \with {
                \consists Span_arpeggio_engraver
            } \context Bottom <<
                \mvtIIvlnSolo
                \new Lyrics \mvtIIvlnSoloLyrics
                \cuesII
            >>
            \new Staff = mvtIIvlnSoloOssia \with {
                \omit TimeSignature
                \staffSize #-2
                \RemoveAllEmptyStaves
            } <<
                \mvtIIvlnSoloOssia
            >>
        >>

        \new Dynamics = mvtIIfootnotes \mvtIIfootnotes
    >>

    \header {
        breakbefore = ##t
        piece = \mvtIIpiece
    }
}
% %}
