\version "2.21.0"

% contrinuted by harm6
% after an idea by Nathan
% see: http://lists.gnu.org/archive/html/lilypond-user/2012-07/msg00036.html
% thanks to Mark Knoop

%{
hauptStart = \markup {
  \path #0.25 #'((moveto 0 0)
                 (lineto 0 -2)
                 (moveto 0 -1)
                 (lineto 1 -1)
                 (moveto 1 0)
                 (lineto 1 -2)
                 (moveto 1 0)
                 (lineto 1.8 0))
}

nebenStart = \markup {
  \path #0.25 #'((moveto 0 -2)
                 (lineto 0 0)
                 (lineto 1 -2)
                 (lineto 1 0)
                 (lineto 1.8 0))
}

stimmeEnd = \markup {
  \path #0.25 #'((moveto 0 0)
                 (lineto 0.8 0)
                 (lineto 0.8 -0.8))
}

klammerStart = \markup {
  \path #0.25 #'((moveto 0 -0.8)
                 (lineto 0 0)
                 (lineto 0.8 0))
}

hauptRhythmus = \markup {
  \path #0.25 #'((moveto 0 -2)
		 (lineto 0 0)
		 (curveto 0 0  2.3 -0.6  0 -1.2)
		 (lineto 1.2 -2)
		 (moveto 1.2 0)
                 (lineto 1.2 -2)
                 (moveto 1.2 -1)
                 (lineto 2.2 -1)
                 (moveto 2.2 0)
                 (lineto 2.2 -2)
                 (moveto 2.2 0)
                 (lineto 3.1 0))
}
%}

% %{
hauptStart = \markup\right-align{
  % \hspace #-1.0
  \path #0.25 #'((moveto 0 2)
                 (lineto 0 0)
                 (moveto 0 1)
                 (lineto 1 1)
                 (moveto 1 2)
                 (lineto 1 0)
                 (moveto 1 2)
                 (lineto 1.8 2))
}

nebenStart = \markup\right-align{
  % \hspace #-1.0
  \path #0.25 #'((moveto 0 0)
                 (lineto 0 2)
                 (lineto 1 0)
                 (lineto 1 2)
                 (lineto 1.8 2))
}

stimmeEnd = \markup\left-align{
    \hspace #0.4
    \path #0.25 #'((moveto 0 2)
                 (lineto 0.8 2)
                 (lineto 0.8 1.2))
}

%{
stimmeEndInverted = \markup\left-align{
    \hspace #0.4
    \path #0.25 #'((moveto 0 -2)
                 (lineto 0.8 -2)
                 (lineto 0.8 -1.2))
}
%}
stimmeEndInverted = \markup\scale #'(1 . -1) \stimmeEnd


klammerStart = \markup\right-align{
  % \hspace #-1.2
  \path #0.25 #'((moveto 0 1.2)
                 (lineto 0 2)
                 (lineto 0.8 2))
}

hauptRhythmus = \markup\right-align{
  % \hspace #-1.5
  \path #0.25 #'((moveto 0 0)
		 (lineto 0 2)
		 (curveto 0 2  2.3 1.4  0 0.7)
		 (lineto 1.2 0)
		 (moveto 1.2 2)
                 (lineto 1.2 0)
                 (moveto 1.2 1)
                 (lineto 2.2 1)
                 (moveto 2.2 2)
                 (lineto 2.2 0)
                 (moveto 2.2 2)
                 (lineto 3.1 2))
}
% %}


stimmeStart =
#(define-music-function (start offsets end style)
    (markup? (number-pair? '(0 . 0)) (markup? stimmeEnd) (symbol? 'none))
(let ((X-offset (- (car offsets) 0.5))
      (Y-offset (cdr offsets))
     )
#{
    <>
        % -\offset X-offset #X-offset
        -\offset Y-offset #Y-offset
        -\tweak spanner-id "hauptstimme"
        -\tweak style $style
        -\tweak avoid-slur #'inside
        -\tweak outside-staff-priority ##f
        -\tweak bound-details.left.text $start
        -\tweak bound-details.right.text $end
        % -\tweak bound-details.left.padding #-0.5
        -\tweak bound-details.left.padding #X-offset
        -\tweak bound-details.right.padding #-0.6
        -\tweak bound-details.left-broken.text ##f
        -\tweak bound-details.right-broken.text ##f
        -\tweak bound-details.left.attach-dir #CENTER
        -\tweak minimum-length #0.8
        \startTextSpan
#}))

PHS = \markup\upright\concat{( \hauptStart )}
PNS = \markup\upright\concat{( \nebenStart )}
PKS = \markup\upright\concat{( \klammerStart )}
PES = \markup\upright\concat{( \stimmeEnd )}
POHS = \markup\upright\concat{( \hauptStart}
PONS = \markup\upright\concat{( \nebenStart}
PEES = \markup\upright\concat{\stimmeEnd \raise #0.5 )}

HSO = <>^\hauptStart
NSO = <>^\nebenStart
KSO = <>^\klammerStart
HRO = <>^\hauptRhythmus
EES = <>^\stimmeEnd
ESS = ^\stimmeEnd

HS = \stimmeStart \hauptStart \default
NS = \stimmeStart \nebenStart \default
KS = \stimmeStart \klammerStart \default
HR = \stimmeStart \hauptRhythmus \default
% HRspan = \stimmeStart \hauptRhythmus #'(0 . 0) \stimmeEnd #'dashed-line
HRsehr = { \once \override TextSpanner.minimum-length = #17 \stimmeStart \markup\concat{\hauptRhythmus "sehr rhythmisch"} #'(0 . 0) \stimmeEnd \default }
HRspansehr = { \once \override TextSpanner.minimum-length = #17 \stimmeStart \markup{\hauptRhythmus sehr rhythmisch} #'(0 . 0) \stimmeEnd #'dashed-line }
ES = -\tweak spanner-id "hauptstimme" \stopTextSpan

hauptstimmePStart = \stimmeStart \PHS #'(0 . 0) \PES \default
nebenstimmePStart = \stimmeStart \PNS #'(0 . 0) \PES \default
klammerstimmePStart = \stimmeStart \PKS #'(0 . 0) \PES \default
