#!/usr/bin/perl

$ignore_events = "(absolute-dynamic|breathing|crescendo|decrescendo|key-change|rest|trill-span)";

$skip = 0;
$first_interpreting = 1;
while (<>) {
    # print "skip = $skip; now consider $_\n";
    if ( /^Interpreting music...$/ ) {
        # print "first_interpreting $first_interpreting\n";
        if ( $first_interpreting > 0 ) {
            --$first_interpreting;
            # print "Not an 'Interpreting': ", $_;
        } else {
            # print "and skip this 'Interpreting'\n";
            next;
        }
    }

    if ($skip > 0) {
        $skip -= 1;
    } elsif ( /^warning: cannot have note heads and rests together on a stem/ ) {
    } elsif ( /ly:([0-9]+):.* warning: cannot have note heads and rests together on a stem/ ) {
        $skip = 2;
    } elsif ( /ly:([0-9]+):.* warning: rhythmic head is not part of a rhythmic column/ ) {
        $skip = 2;
    } elsif ( /ly:([0-9]+):.* warning: adding note head to incompatible stem \(type = 1\/[14]\)/ ) {
        $skip = 2;
        $skip_line = $1;
    } elsif ( /ly:([0-9]+):.* warning: maybe input should specify polyphonic voices/ ) {
        if ($1 == $skip_line) {
            $skip = 2;
            $skip_line = -1;
        } else {
            print $_;
        }
    } elsif ( /ly:([0-9]+):.* warning: conflict with event: `$ignore_events-event'/ ) {
        $skip = 2;
    } elsif ( /ly:([0-9]+):.* warning: discarding event: `$ignore_events-event'/ ) {
        $skip = 2;
    } elsif ( /ly:([0-9]+):.* warning: cannot find context to switch to/ ) {
        $skip = 2;

    } elsif ( /programming error: Grob direction requested while calculation in progress./ ) {
        $skip = 1;
    } elsif ( /programming error: No spacing entry from Item to `custos'/ ) {
        $skip = 2;

    # suppress warnings about warning(s) not encountered
    } elsif ( /        maybe input should specify polyphonic voices/ ) {
    } elsif ( /        cannot find context to change to/ ) {
    } elsif ( /        this Voice needs a \\voiceXx or \\shiftXx setting/ ) {
    } elsif ( /^ *cannot have note heads and rests together on a stem$/ ) {

    } else {
        print $_;
    }
}
